| Home | Libraries | People | FAQ | More

## Function template one_of

boost::algorithm::one_of

## Synopsis

    // In header: <boost/algorithm/cxx11/one_of.hpp>

    template<typename Range, typename Predicate>
      bool one_of(const Range & r, Predicate p);

## Description

Parameters:

`p` | A predicate for testing the elements of the range
`r` | The input range

Returns: | true if the predicate 'p' is true for exactly one item in the range.